diff --git a/changelog b/changelog
index 0e692a6..c0df1e5 100644
--- a/changelog
+++ b/changelog
@@ -1,4 +1,6 @@
-20090404 tpd src/axiom-website/patches.html 20090404.02.tpd.patch	
+20090405 tpd src/axiom-website/patches.html 20090405.01.tpd.patch
+20090405 tpd src/axiom-website/index.html Axiom on Windows instructions
+20090404 tpd src/axiom-website/patches.html 20090404.02.tpd.patch
 20090404 tpd books/bookvol10.4 additional package unit tests
 20090404 tpd books/bookvol10.3 additional domain unit tests
 20090404 tpd books/bookvol0 add domain examples
diff --git a/src/axiom-website/index.html b/src/axiom-website/index.html
index 0bce186..0e140dd 100644
--- a/src/axiom-website/index.html
+++ b/src/axiom-website/index.html
@@ -91,7 +91,56 @@
    </div>
   <br>
   <hr>
-DOCUMENTATION:
+<h1>Axiom on Windows:</h1>
+You can now run Axiom on a Windows box. Basically all Axiom needs
+to run is an X server and a linux install. This detailed set of 
+steps shows you how to set up an X server on windows (Step A),
+get a copy of Axiom (Step B), set up ubuntu (Step C), set up
+the minor details (Step D, E), and start Axiom (Step F).
+
+The steps are very simple and are laid out in detail here:
+<pre>
+
+A) set up an X server on windows:
+ 1) visit http://gears.aset.psu.edu/hpc/guies/xming
+ 2) download Xming
+ 3) install it in windows
+ 4) launch it
+
+B) download axiom ubuntu image
+ 1) http://axiom-developer.org/axiom-website/downloads.html
+ 2) download ubuntu as axiom-ubuntu-nov2008-bin.tgz
+ 3) move axiom tgz image to C:\
+
+C) set up Portable_Ubuntu on windows
+ 1) visit http://lifehacker.com/5195999/portable-ubuntu-runs-ubuntu-inside-windows
+ 2) download Portable_Ubuntu
+ 3) install it (it created c:\Portable_Ubuntu directory)
+ 4) cd Portable_Ubuntu
+ 5) run_portable_ubuntu (it is a bat file)
+
+D) enable root access
+ 1) in the ubuntu menu bar Applications->Accessories->Terminal
+ 2) sudo passwd root (the default root password is 123456)
+
+E) find your window IP address
+ 0) open a windows cmd window
+ 1) type ipconfig
+ 2) write down your IP address (e.g. 192.168.1.105) 
+
+F) install axiom into /etc (the only place with room in my install)
+ 0) su -
+ 1) cd /etc
+ 2) tar -zxf /mnt/C/axiom-ubuntu-nov2008-bin.tgz
+ 3) cd axiom
+ 4) export DISPLAY=192.168.1.105:0.0 
+ 5) export AXIOM=`pwd`/mnt/ubuntu
+ 6) export PATH=$AXIOM/bin:$PATH
+ 7) axiom
+</pre>
+
+  <hr>
+<h2>DOCUMENTATION:</h2>
 <ul>
  <li>Books
   <ul>
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index cd448e8..4a16a91 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1046,5 +1046,7 @@ bookvol5 collect top level loop code<br/>
 bookvol0 fix cross references<br/>
 <a href="patches/20090404.02.tpd.patch">20090404.02.tpd.patch</a>
 bookvol0 document additional domains<br/>
+<a href="patches/20090405.01.tpd.patch">20090405.01.tpd.patch</a>
+index.html Axiom on Windows instructions<br/>
  </body>
 </html>
